[Aries KK][Gallery]It shows the picture on the left half of the screen when user selects a picture from Gallery to set as wallpaper and preview it in the landscape mode.

RESOLVED WORKSFORME

Status

Firefox OS
Gaia::Gallery
RESOLVED WORKSFORME
3 years ago
2 years ago

People

(Reporter: Carrie.Yang Leave from Mozilla, Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.5 affected)

Details

(Whiteboard: [2.5-aries-test-run-3])

Attachments

(2 attachments)

(Reporter)

Description

3 years ago
[1.Description]:
[Aires KKv2.5]When user lanuches Gallery app to share as wallpaper in the landscape mode, the preview-wallpaper page will be switched to the portrait mode automatically, and picture is shown on the left half of the screen, with right side of the screen being black. Besides, 'Set' button is truncated.

See attachment: logcat_1238.txt and Aries_KK_v2.5.3gp
Found time: 12:38

[2.Testing Steps]: 
1. Launch Gallery app.
2. Select an image and rotate the device to landscape.
3. Tap on Share button, then select wallpaper.
4. Wait 2s and observe the transition.

[3.Expected Result]: 
4.The preview-wallpaper page should be displayed perfectly in the landscape mode.

[4.Actual Result]: 
4. The preview-wallpaper page will be switched to the portrait mode automatically, and picture is shown on the left half of the screen, with right side of the screen being black. Besides, 'Set' button is truncated.

[5.Reproduction build]: 
Device: Aries KK v2.5 (Affected)
Build ID               20151029010303
Gaia Revision          75f2236d36cc9f9c02d3596fae3de014007cfd82
Gaia Date              2015-10-28 17:02:16
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/1e700005a0ddf2b17803213e1f3f8d78a7a618b8
Gecko Version          44.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151029.002011
Firmware Date          Thu Oct 29 00:20:19 UTC 2015
Bootloader             s1

Device:FlameKK v2.5  (Unaffected)
Build ID               20151029150245
Gaia Revision          91cac94948094cfdcd00cba5c6483e27e80cb3b0
Gaia Date              2015-10-28 20:32:15
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/1fbc958f75576446a57cf93406db87b51b12911d
Gecko Version          45.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151029.182818
Firmware Date          Thu Oct 29 18:28:30 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device:FlameKK v2.2  (Unaffected)
Build ID               20151029032509
Gaia Revision          885647d92208fb67574ced44004ab2f29d23cb45
Gaia Date              2015-10-07 13:05:24
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/b8b7f4efaa6e
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151029.065402
Firmware Date          Thu Oct 29 06:54:13 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,10/10

[7.TCID]: 
Free test
(Reporter)

Comment 1

3 years ago
Created attachment 8681162 [details]
Aries_KK_v2.5.3gp
(Reporter)

Comment 2

3 years ago
Created attachment 8681163 [details]
logcat_1238.txt
(Reporter)

Updated

3 years ago
status-b2g-v2.5: --- → affected
(Reporter)

Comment 3

2 years ago
This bug can't be reproduced on latest build of Aries KK v2.5&master by the STR in comment 0, so I close this bug. If anyone can repro it, please reopen again.

Actual result: The preview-wallpaper page is displayed perfectly in the landscape mode.
Reproduce rate: 0/10

Device: Aries KK v2.5(Unaffected)
Build ID               20151223153111
Gaia Revision          8db2cdd9eb9b42932c4dfc86d109b3e46c220809
Gaia Date              2015-12-23 13:30:29
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/6fac3536a96a87185a6415d6ae2c36a85612e863
Gecko Version          44.0
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151223.144147
Firmware Date          Wed Dec 23 14:41:54 UTC 2015
Bootloader             s1

Device: Aries KK master (Unaffected)
Build ID               20151226120538
Gaia Revision          adf75f7a97ea0627b3211f0eef61eb72073f2dff
Gaia Date              2015-12-24 10:09:32
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/c39a71cf41460924d2988d2d63be2f5d267db82a
Gecko Version          46.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151226.123841
Firmware Date          Sat Dec 26 12:38:49 UTC 2015
Bootloader             s1
Status: NEW → RESOLVED
Last Resolved: 2 years ago
QA Whiteboard: [MGSEI-Triage+]
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.